File=/proc/net/snmp

Patterns=1

#The expected format we are looking for is two lines:
#
#Tcp: RtoAlgorithm RtoMin RtoMax MaxConn ActiveOpens PassiveOpens AttemptFails EstabResets CurrEstab InSegs OutSegs RetransSegs InErrs OutRsts
#Tcp: values1 value2 value3...
#
#Capture the 8th, and 9th columns, assuming they represent what we expect them to represent
Pattern1.Pattern=^Tcp:\\s*(?:\\w+\\s+){7}EstabResets\\s+CurrEstab(?:\\s+\\w+){2}\\s+RetransSegs[\\s\\w&&[^\\n]]*\\nTcp:\\s*(?:\\-?\\d+\\s+){7}(\\d+)\\s+(\\d+)(?:\\s+\\-?\\d+){2}\\s+(\\d+)
Pattern1.Counters=TcpEstablishedConnectionFailures, TcpEstablishedConnections, TcpSegmentsRetransmitted
Pattern1.Counter.TcpEstablishedConnections.UseDifference=false
